import type { NextPage } from 'next';
import React, { useState, useEffect } from 'react';
import { useRouter } from 'next/router'
import Router from "next/router";
import { useSelector } from 'react-redux';
import { MainLayoutRoot } from '../../components/admin/pages/Root/Main'
import { Login } from './login';

import { selectTokenData } from '../../redux/login/selectors';

const Admin: NextPage = () => {
  const router = useRouter();
  const [login, setLogin] = useState<boolean>(false);
  const { status_token } = useSelector(selectTokenData);

  useEffect(() => {
    localStorage.getItem("token") ? setLogin(true) : setLogin(false);
  }, [status_token]);

  return (
       <>{login ?  Router.replace('/admin/main'): router.push('/login') }</>
  )
}

export default Admin;
